Get a specific tax rate
curl --request GET \
--url https://api.hubapi.com/tax-rates/v1/tax-rates/{taxRateGroupId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/tax-rates/v1/tax-rates/{taxRateGroupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/tax-rates/v1/tax-rates/{taxRateGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"label": "<string>",
"name": "<string>",
"percentageRate": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Tax Rates
Get a specific tax rate
GET
/
tax-rates
/
v1
/
tax-rates
/
{taxRateGroupId}
Get a specific tax rate
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
successful operation
Indicates whether the tax rate group is currently active.
The date and time when the tax rate was created.
The unique identifier for the tax rate.
The display label for the tax rate.
The name of the tax rate.
The percentage rate applied.
The date and time when the tax rate was last updated.
Last modified on April 13, 2026
Was this page helpful?
⌘I